echo off

cls
echo Если вы слишком долго видете это сообщение то:
echo 1. Убедитесь включена "Отладка по USB"
echo 2. Драйвера ADB установлены
echo 3. Планшет подключен по USB
adb wait-for-device
cls

rem echo Получаем права записи на /data
adb shell mv /data/local/tmp /data/local/tmp.bak
adb shell ln -s /data /data/local/tmp
adb reboot
echo Перезагружаем (1/3)

adb wait-for-device
rem echo Переводим планшет в режим полного доступа 
adb shell rm /data/local.prop > nul
adb shell "echo \"ro.kernel.qemu=1\" > /data/local.prop"
adb reboot
echo Перезагружаем (2/3)

adb wait-for-device
rem adb shell id
rem echo If the id is 0 / root then continue, otherwise ctrl+c to cancel and start over
rem echo Копируем нужные файлы
adb remount
adb push su /system/xbin/su
adb shell chown 0.0 /system/xbin/su
adb shell chmod 06755 /system/xbin/su
adb push busybox /system/xbin/busybox
adb shell chown 0.0 /system/xbin/busybox
adb shell chmod 0755 /system/xbin/busybox
adb push Superuser.apk /system/app/Superuser.apk
adb shell chown 0.0 /system/app/Superuser.apk
adb shell chmod 0644 /system/app/Superuser.apk

adb shell "echo \"for i in \`busybox --list\`; \" > /system/xbin/install_bb"
adb shell "echo \"do\" >> /system/xbin/install_bb"
adb shell "echo \"ln -s busybox /system/xbin/\$i\" >>/system/xbin/install_bb"
adb shell "echo \"done\" >> /system/xbin/install_bb"
adb shell "sh /system/xbin/install_bb"

rem echo Заметаем следы...
adb shell rm /system/xbin/install_bb
adb shell rm /data/local.prop
adb shell rm /data/local/tmp
adb shell mv /data/local/tmp.bak /data/local/tmp
adb reboot

echo Перезагружаем (3/3)
adb wait-for-device
rem adb install Superuser.apk
echo Все готово!!!
pause 
echo on
